ghc-7.0.3: The GHC API

DsBinds

# Documentation

dsTopLHsBinds :: AutoScc -> LHsBinds Id -> DsM (OrdList (Id, CoreExpr))

dsLHsBinds :: LHsBinds Id -> DsM [(Id, CoreExpr)]

decomposeRuleLhs :: [Var] -> CoreExpr -> Either SDoc ([Var], Id, [CoreExpr])

dsSpec :: Maybe CoreExpr -> Located TcSpecPrag -> DsM (Maybe (OrdList (Id, CoreExpr), CoreRule))

dsHsWrapper :: HsWrapper -> DsM (CoreExpr -> CoreExpr)

dsTcEvBinds :: TcEvBinds -> DsM [DsEvBind]

dsEvBinds :: Bag EvBind -> DsM [DsEvBind]

wrapDsEvBinds :: [DsEvBind] -> CoreExpr -> CoreExpr

data DsEvBind

Constructors

LetEvBind CoreBind |
CaseEvBind DictId AltCon [CoreBndr] |

data AutoScc

Constructors

NoSccs |
AddSccs Module (Id -> Bool) |